TermAndVector (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util, record: TermAndVector

Package org.apache.lucene.util

# Record Class TermAndVector

java.lang.Object
java.lang.Record
org.apache.lucene.util.TermAndVector

public record TermAndVector(BytesRef term, float[] vector) extends Record
Word2Vec unit composed by a term with the associated vector

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TermAndVector(BytesRef term, float[] vector)`
  Creates an instance of a `TermAndVector` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `TermAndVector`
  `normalizeVector()`
  Return a `TermAndVector` whose vector is normalized according to the L2 norm.
  `int`
  `size()`
  `BytesRef`
  `term()`
  Returns the value of the `term` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `float[]`
  `vector()`
  Returns the value of the `vector` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TermAndVector

    public TermAndVector(BytesRef term, float[] vector)
    Creates an instance of a `TermAndVector` record class.
    Parameters:
      `term` - the value for the `term` record component
      `vector` - the value for the `vector` record component

- ## Method Details

  - ### size

    public int size()

  - ### normalizeVector

    public TermAndVector normalizeVector()
    Return a `TermAndVector` whose vector is normalized according to the L2 norm.

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### term

    public BytesRef term()
    Returns the value of the `term` record component.
    Returns:
      the value of the `term` record component

  - ### vector

    public float[] vector()
    Returns the value of the `vector` record component.
    Returns:
      the value of the `vector` record component